Subject: Re: bug#25819: 25.1; Added by Package.el. Added by Package.el. Added by Package.el. Added by Package.el.

From: Glenn Morris <[email-masked]>
Date: Wed, 22 Feb 2017 21:47:21 -0500

[email-masked] wrote:

>> > root) My /root/.emacs looks something like this:
>> >
>> >     (setenv "HOME" "/home/frederik/")
>> >     (setq savehist-file "/root/.emacs-history")
>> >     (load "~/.emacs")
>> >     (setenv "HOME" "/root/")
>> If you don't feel like debugging further, you could just add a
>> commented out package-initialize line to /root/.emacs.
>> Somehow I don't think your problem is a common one. :)
>
> You don't think my problem is common!? :) Well I'm not sure how other
> people edit files as root, but after a few incarnations I decided that
> a barebones /root/.emacs pointing to ~/.emacs is the best way to go.

I meant the odd use of changing HOME to load someone else's .emacs.
As it turns out, that isn't related.

(Did you consider symlinking ~frederik.emacs to /root/.emacs, and adding
UID == 0 conditionals where needed?)